#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtCharts>
#include <nix.hpp>

#include "dataservice.h"
#include "dataqueue.h"
#include "dataresult1d.h"
#include "chart.h"
#include "chartview.h"

Q_DECLARE_METATYPE(DataResult1D)

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    DataQueue dataQueue;
    nix::DataArray voltage, eod;
    nix::File file;
};

#endif // MAINWINDOW_H
